Check a TRON address's available energy and bandwidth
GET
/api/v1/address-checker
const url = 'https://trongas.ai/api/v1/address-checker';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://trongas.ai/api/v1/address-checkerLive energy/bandwidth for any TRON address, read from the network (not our balance, not order-related). Public — no API key required. Returns 400 if address isn’t a syntactically valid TRON address, 503 with code address_checker.unavailable if the upstream node is unreachable.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”address
string
Responses
Section titled “ Responses ”OK
object
address
required
string
activated
required
boolean
energyLimit
required
integer | string format: int64
energyUsed
required
integer | string format: int64
energyAvailable
required
integer | string format: int64
bandwidthLimit
required
integer | string format: int64
bandwidthUsed
required
integer | string format: int64
bandwidthAvailable
required
integer | string format: int64
object
address
required
string
activated
required
boolean
energyLimit
required
integer | string format: int64
energyUsed
required
integer | string format: int64
energyAvailable
required
integer | string format: int64
bandwidthLimit
required
integer | string format: int64
bandwidthUsed
required
integer | string format: int64
bandwidthAvailable
required
integer | string format: int64
Examplegenerated
{ "address": "example", "activated": true, "energyLimit": 1, "energyUsed": 1, "energyAvailable": 1, "bandwidthLimit": 1, "bandwidthUsed": 1, "bandwidthAvailable": 1}object
address
required
string
activated
required
boolean
energyLimit
required
integer | string format: int64
energyUsed
required
integer | string format: int64
energyAvailable
required
integer | string format: int64
bandwidthLimit
required
integer | string format: int64
bandwidthUsed
required
integer | string format: int64
bandwidthAvailable
required
integer | string format: int64
Examplegenerated
{ "address": "example", "activated": true, "energyLimit": 1, "energyUsed": 1, "energyAvailable": 1, "bandwidthLimit": 1, "bandwidthUsed": 1, "bandwidthAvailable": 1}Bad Request
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}